设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 67|回复: 0

[每日一码] VLISP获取当前空间对象

[复制链接]

已领礼包: 19个

财富等级: 恭喜发财

发表于 2020-11-21 00:49:42 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x

  1. (defun _ActiveSpace (*doc *spc)
  2.   (set *doc (vla-get-activedocument (vlax-get-acad-object)))
  3.   (set *spc
  4.        (vlax-get-property
  5.          (eval *doc)
  6.          (if (= 1 (getvar 'cvport))
  7.            'paperspace
  8.            'modelspace
  9.          )
  10.        )
  11.   )
  12.   nil
  13. )


用法
(_ActiveSpace 'doc 'spc)

得到变量doc为当前文档对象,spc为当前空间对象
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2020-11-30 19:47 , Processed in 0.107141 second(s), 21 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表